The BOOST_PP_NOT_EQUAL macro compares two values for inequality.

#### Usage

BOOST_PP_NOT_EQUAL(x, y)

#### Arguments

x
  The left operand of the comparison. Valid values range from 0 to BOOST_PP_LIMIT_MAG.
y
  The right operand of the comparison. Valid values range from 0 to BOOST_PP_LIMIT_MAG.

#### Remarks

If x is equal to y, this macro expands to 0. Otherwise, it expands to 1.
Previously, this macro could not be used inside BOOST_PP_WHILE. There is no longer any such restriction because this macro no longer uses BOOST_PP_WHILE.

#### See Also

- BOOST_PP_LIMIT_MAG
- BOOST_PP_NOT_EQUAL_D

#### Requirements

Header: <boost/preprocessor/comparison/not_equal.hpp>

#### Sample Code

    #include <boost/preprocessor/comparison/not_equal.hpp>

    BOOST_PP_NOT_EQUAL(4, 3) // expands to 1
    BOOST_PP_NOT_EQUAL(5, 5) // expands to 0

© Copyright Housemarque Oy 2002 © Copyright Paul Mensonides 2002

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)